drama.shaders = {};
drama.shaders["setcolor"] = {
	src: "varying mediump vec2 vTex;\nuniform lowp sampler2D samplerFront;\nuniform lowp vec3 setColor;\n\nvoid main(void)\n{\n	lowp float a = texture2D(samplerFront, vTex).a;\n	\n	gl_FragColor = vec4(setColor.r * a, setColor.g * a, setColor.b * a, a);\n}\n",
	extendBoxHorizontal: 0,
	extendBoxVertical: 0,
	crossSampling: false,
	preservesOpaqueness: true,
	animated: false,
	parameters: [["setColor",0,2]]
};

drama.shaders["tint"] = {
	src: "varying mediump vec2 vTex;\nuniform lowp sampler2D samplerFront;\nuniform lowp vec3 tintColor;\n\nvoid main(void)\n{\n	lowp vec4 front = texture2D(samplerFront, vTex);\n	\n	gl_FragColor = front * vec4(tintColor.r, tintColor.g, tintColor.b, 1.0);\n}\n",
	extendBoxHorizontal: 0,
	extendBoxVertical: 0,
	crossSampling: false,
	preservesOpaqueness: true,
	animated: false,
	parameters: [["tintColor",0,2]]
};
